//
// $Header: E:/TNG/src/rcs/nnet.h 1.2 1997/02/22 14:39:00 dbm Exp $
//
 
#ifndef NNET_H
#define NNET_H

#include "program.h"

class bioNNet : public bioProgram
{
  public:
    ctor			bioNNet (int, int, int);
    dtor			~bioNNet();

    override int	Think (int* vector, int size);
    virtual void	Dump();
    virtual void	ReadArray (int* input, int count);

    void			SetSize (int, int, int);

  protected:
    void			_FireNeuron (int, int);
    int				_IsOutput (int);
    int				_Compute();

    int				_size;
    int				_inputs;
    int				_inters;
    int				_outputs;
    int*			_neuron;
    int*			_newValues;
    int*			_base;
    int**			_weights;
};

#endif // NNET_H
