//
// $Header: E:/TNG/src/rcs/random.h 1.2 1997/02/22 14:39:02 dbm Exp $
//
// DJS 04/22/2000 - encapsulated in C++ class to allow multiple instances
 
#ifndef RAND_H
#define RAND_H


class bioRandom
{
  public:
	/*ctor*/			bioRandom (void);
	virtual /*dtor*/	~bioRandom (void) {}
  	
	enum {RAND_DEG = 31};
	
	void				SIRand(unsigned int);
	int					IRand();
	void				SDRand(unsigned int*);
	double				DRand();
  	
  protected:
	long Rstate[RAND_DEG];

	long *fptr;
	long *rptr;
	long *end_ptr;
	
};

// required for qsort
extern "C"
{
	int			IRand();
}


// original code
/*
extern "C"
{
	void		SIRand(unsigned int);
	int			IRand();
	void		SDRand(unsigned int*);
	double		DRand();
}
*/
#endif // RAND_H
