//
// $Header: E:/TNG/src/rcs/thing.h 1.2 1997/02/22 14:39:06 dbm Exp $
//
 
#ifndef THING_H
#define THING_H
       
#include "simbio.h"
       
/////////////////////////////////////////////////////////////////////////////
//
//	bioThing
//
   
class bioWorld;
    
class bioThing : public bioObject
{
  public:
  	ctor			bioThing (void);
  	dtor			~bioThing (void);
  	
  	virtual int		ClassID (void) {return 0;}
  	                  
  	void			SetWorld (bioWorld* world) {_world = world;}
  	bioWorld*		GetWorld (void) {return _world;}            
  	
  	double			GetX (void) {return __x;}
  	double			GetY (void) {return __y;}
  	double			GetOrientation (void) {return __orientation;} 
  	
  	virtual void	Look (void) {}
  	virtual int		GetIntent (void) {return 0;} 
  	
  	virtual void	Select (void) {}
  	virtual void	Edit (void) {}
  	
  	friend class	bioWorld;
  	
  protected:
	bioWorld*		_world;
	
  private:
  	double			__x;
  	double			__y;
  	double			__orientation;
};

#endif // THING_H
