VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CNode"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public x As Double
Public y As Double
Public vx As Double
Public vy As Double
Public fixed As Boolean

Const MAX_VEL = 5
Const CoF = 0.25  ' friction

Public Sub Push(dx As Double, dy As Double)
    vx = vx + dx
    vy = vy + dy
End Sub

Public Sub Move()
    If fixed Then Exit Sub
    
    Select Case vx
        Case Is < -MAX_VEL
            x = x - MAX_VEL
        Case -MAX_VEL To MAX_VEL
            x = x + vx
        Case Is > -MAX_VEL
            x = x + MAX_VEL
    End Select
    
    Select Case vy
        Case Is < -MAX_VEL
            y = y - MAX_VEL
        Case -MAX_VEL To MAX_VEL
            y = y + vy
        Case Is > -MAX_VEL
            y = y + MAX_VEL
    End Select
    
    vx = vx * (1 - CoF)
    vy = vy * (1 - CoF)
End Sub

Public Sub Draw(obj As Object, size As Integer)
    Dim pb As PictureBox
    
    Set pb = obj
    
    pb.DrawStyle = 0
    
    If fixed Then
        pb.Circle (x, y), size, QBColor(12)
    Else
        pb.Circle (x, y), size - 1, QBColor(11)
        pb.Line (x - size, y - size)-(x + size, y + size), QBColor(13), B
    End If
End Sub
