VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CEdge"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public src As CNode
Public dst As CNode
Public length As Double
Public strength As Double
Public enabled As Boolean
Public style As Integer
Public color As Long

Public Function Energy() As Integer
    Energy = strength * Abs(length - RealLength())
End Function

Public Function RealLength() As Double
    Dim dx As Double
    Dim dy As Double
    
    dx = src.x - dst.x
    dy = src.y - dst.y
    
    RealLength = Sqr(dx * dx + dy * dy)
End Function

Public Function MidX() As Double
    MidX = (src.x + dst.x) / 2
End Function

Public Function MidY() As Double
    MidY = (src.y + dst.y) / 2
End Function

Public Sub Draw(obj As Object)
    Dim pb As PictureBox
    
    Set pb = obj
    
    If enabled Then
        pb.DrawStyle = style
        
        ' draw solid lines thicker
        If style = 0 Then
            pb.DrawWidth = 2
        Else
            pb.DrawWidth = 1
        End If
        
        pb.Line (src.x, src.y)-(dst.x, dst.y), color
        
    End If
End Sub

Private Sub Class_Initialize()
    style = 0
    color = QBColor(9)
    enabled = True
End Sub
