#include "bitvector.h"
#include <memory.h>

bioBitVector::bioBitVector (void)
{
    _size = 0;
    _vector = 0;
}

bioBitVector::~bioBitVector (void)
{
    delete _vector;
}

char&
bioBitVector::operator[] (int idx)
{
    if (_size <= idx)
    {
        // Increase the size of _vector to (idx + 4)
        int     newSize = idx + 4;
        char*   newVector = new char[newSize]; ASSERT(newVector);

        // Initialize new vector with all ones (cooperate),
		// then overwrite with the contents of old vector.

		// !!! Changed to initialize with zeros
		memset(newVector, 0, newSize);
		memcpy(newVector, _vector, _size);

        delete _vector;

        _size = newSize;
        _vector = newVector;
    }

    return _vector[idx];
}