// Population.cpp : Implementation of CPopulation
#include "stdafx.h"
#include "Tngcom.h"
#include "Population.h"
#include "TradeBot.h"

/////////////////////////////////////////////////////////////////////////////
// CPopulation


STDMETHODIMP CPopulation::get_Size(short *pVal)
{
	(*pVal) = _pop->GetSize();

	return S_OK;
}

STDMETHODIMP CPopulation::get_Elite(short *pVal)
{
	(*pVal) = _pop->GetElite();

	return S_OK;
}

STDMETHODIMP CPopulation::get_MutationRate(double *pVal)
{
	(*pVal) = _pop->GetMutationRate();

	return S_OK;
}

STDMETHODIMP CPopulation::GetTradeBot(short idx, ITradeBot ** pVal)
{
	bioPType*				ptype = _pop->GetPType(idx);
	ITradeBot*				piBot = 0;
	CComObject<CTradeBot>*	pBot = 0;
	HRESULT					hr = 0;
 
	hr = CComObject<CTradeBot>::CreateInstance(&pBot);
	
	if(FAILED(hr))
	{
		return 0;
	}

	pBot->Init((tngTradeBot*)ptype);

	piBot = pBot;
	piBot->AddRef();
	(*pVal) = piBot;

	return S_OK;
}
