// Population.h : Declaration of the CPopulation

#ifndef __POPULATION_H_
#define __POPULATION_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CPopulation
class ATL_NO_VTABLE CPopulation : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CPopulation, &CLSID_Population>,
	public IDispatchImpl<IPopulation, &IID_IPopulation, &LIBID_TNGCOMLib>
{
public:
	CPopulation()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_POPULATION)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CPopulation)
	COM_INTERFACE_ENTRY(IPopulation)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IPopulation
public:
	STDMETHOD(GetTradeBot)(/*[in]*/ short idx, /*[out, retval]*/ ITradeBot**);
	STDMETHOD(get_MutationRate)(/*[out, retval]*/ double *pVal);
	STDMETHOD(get_Elite)(/*[out, retval]*/ short *pVal);
	STDMETHOD(get_Size)(/*[out, retval]*/ short *pVal);
	void				Init(tngPopulation* pop) { _pop = pop; }

protected:
	tngPopulation*		_pop;
};

#endif //__POPULATION_H_
