// TraderInfo.cpp : Implementation of CTraderInfo
#include "stdafx.h"
#include "Tngcom.h"
#include "TraderInfo.h"

/////////////////////////////////////////////////////////////////////////////
// CTraderInfo


STDMETHODIMP CTraderInfo::get_ExpPayoff(float *pVal)
{
	(*pVal) = _pInfo->expPayoff;

	return S_OK;
}

STDMETHODIMP CTraderInfo::get_LastPayoff(float *pVal)
{
	(*pVal) = _pInfo->lastPayoff;

	return S_OK;
}

STDMETHODIMP CTraderInfo::get_NumPayoffs(short *pVal)
{
	(*pVal) = _pInfo->numPayoffs;

	return S_OK;
}

STDMETHODIMP CTraderInfo::get_NumRefusals(short *pVal)
{
	(*pVal) = _pInfo->numRefusals;

	return S_OK;
}

STDMETHODIMP CTraderInfo::get_NumTrades(short *pVal)
{
	(*pVal) = _pInfo->numTrades;

	return S_OK;
}

STDMETHODIMP CTraderInfo::get_SumPayoffs(float *pVal)
{
	(*pVal) = _pInfo->sumPayoffs;

	return S_OK;
}

STDMETHODIMP CTraderInfo::get_TradingStreak(short *pVal)
{
	(*pVal) = _pInfo->TradingStreak();

	return S_OK;
}
