// $Header: E:/TNG/src/rcs/ptype.cpp 1.2 1997/02/22 14:38:08 dbm Exp $

#include "ptype.h"

////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//	bioPType
//

bioPType::bioPType (bioGType* gtype) 
{
	_gtype = gtype;
	_fitness = 0.0;
	_id = 0;
	strcpy(_name, "nameless");
}
  
bioPType::~bioPType (void)
{
	delete _gtype;
}

bioGType*
bioPType::GetGType (void)
{
	return _gtype;
}

bioGType*
bioPType::ExtractGType (void)
//: Removes the gtype so it can be transferred to another ptype.
{                
	bioGType*		gtype = _gtype;
	
	_gtype = 0;
	return gtype;
}

void bioPType::InsertGType(bioGType *gtype)
//: Replace the gtype	DJS 4/12/00
{
	if (_gtype != gtype)
	{
		delete _gtype;
		_gtype = gtype;
	}
}

double
bioPType::GetFitness (void)
{
	return _fitness;
}


